aboutsummaryrefslogtreecommitdiff
path: root/usr.sbin/bsdinstall
diff options
context:
space:
mode:
authorAlfonso S. Siciliano <asiciliano@FreeBSD.org>2023-10-19 10:54:24 +0000
committerAlfonso S. Siciliano <asiciliano@FreeBSD.org>2023-10-19 10:59:49 +0000
commite44751530e04ef8326ff22c0d3f7d880c82d3395 (patch)
treedc8d8e107b6dab512454e0abe140ded80eff6511 /usr.sbin/bsdinstall
parentbb8ecf259f96510b9c2146d846403393543061b7 (diff)
downloadsrc-e44751530e04ef8326ff22c0d3f7d880c82d3395.tar.gz
src-e44751530e04ef8326ff22c0d3f7d880c82d3395.zip
Diffstat (limited to 'usr.sbin/bsdinstall')
-rwxr-xr-xusr.sbin/bsdinstall/scripts/hostname12
1 files changed, 7 insertions, 5 deletions
diff --git a/usr.sbin/bsdinstall/scripts/hostname b/usr.sbin/bsdinstall/scripts/hostname
index 7aa97ef095f7..19df8885893b 100755
--- a/usr.sbin/bsdinstall/scripts/hostname
+++ b/usr.sbin/bsdinstall/scripts/hostname
@@ -47,8 +47,6 @@ f_include $BSDCFG_SHARE/dialog.subr
############################################################ GLOBALS
-: ${BSDDIALOG_CANCEL=1}
-
#
# Strings that should be moved to an i18n file and loaded with f_include_lang()
#
@@ -75,14 +73,18 @@ dialog_hostname()
local hline=
local value="$*"
- bsddialog \
+ local height width
+ f_dialog_inputbox_size height width \
+ "$DIALOG_TITLE" "$DIALOG_BACKTITLE" "$prompt" "$value" "$hline"
+
+ $DIALOG \
--title "$DIALOG_TITLE" \
--backtitle "$DIALOG_BACKTITLE" \
--hline "$hline" \
--ok-label "$msg_ok" \
--no-cancel \
--inputbox "$prompt" \
- 0 0 "$value" \
+ $height $width "$value" \
2>&1 >&$DIALOG_TERMINAL_PASSTHRU_FD
}
@@ -98,7 +100,7 @@ f_dialog_backtitle "$msg_freebsd_installer"
# Get user input
#
HOSTNAME=$( dialog_hostname "$HOSTNAME" )
-[ $? -eq $BSDDIALOG_CANCEL ] && exit 1
+[ $? -eq $DIALOG_CANCEL ] && exit 1
#
# Store the user's choice